<back to all web services

GetTranslationReview

The following routes are available for this service:
GET/RestApi/translations/review/{id}
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class GetTranslationReview
{
    open var Id:UUID? = null
}

open class TranslationReviewProxy
{
    open var ActualSourceLanguage:String? = null
    open var TargetLanguage:String? = null
    open var ItemType:String? = null
    open var UnitGroups:IList<TranslationUnitGroupProxy>? = null
}

open class TranslationUnitGroupProxy
{
    open var Name:String? = null
    open var Units:IList<TranslationUnitProxy>? = null
}

open class TranslationUnitProxy
{
    open var PropertyName:String? = null
    open var SourceValue:String? = null
    open var TargetValue:String? = null
}

Kotlin GetTranslationReview DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/review/{id} HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"ActualSourceLanguage":"String","TargetLanguage":"String","ItemType":"String"}